edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper

## Class PartOfSpeechTagsMapperFactory

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.PartOfSpeechTagsMapperFactory

-     public class PartOfSpeechTagsMapperFactory
      extends java.lang.Object

  Part of speech tags mapper factory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartOfSpeechTagsMapperFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartOfSpeechTagsMapper` | `newPartOfSpeechTagsMapper()` Get a part of speech tags mapper.
    `static PartOfSpeechTagsMapper` | `newPartOfSpeechTagsMapper(java.lang.String className)` Get a part of speech tags mapper of a specified class name.
    `static PartOfSpeechTagsMapper` | `newPartOfSpeechTagsMapper(UTF8Properties properties)` Get a part of speech tags mapper.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartOfSpeechTagsMapperFactory

          public PartOfSpeechTagsMapperFactory()

  - ### Method Detail

    - #### newPartOfSpeechTagsMapper

          public static PartOfSpeechTagsMapper newPartOfSpeechTagsMapper()

      Get a part of speech tags mapper.
      Returns:
        The part of speech tags mapper.

    - #### newPartOfSpeechTagsMapper

          public static PartOfSpeechTagsMapper newPartOfSpeechTagsMapper(UTF8Properties properties)

      Get a part of speech tags mapper.
      Parameters:
        `properties` - MorphAdorner properties.
      Returns:
        The part of speech tags mapper.

    - #### newPartOfSpeechTagsMapper

          public static PartOfSpeechTagsMapper newPartOfSpeechTagsMapper(java.lang.String className)

      Get a part of speech tags mapper of a specified class name.
      Parameters:
        `className` - Class name for the part of speech tags mapper.
      Returns:
        The part of speech tags mapper.